Subject: Re: linux-next: manual merge of the drm tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 24 Aug 2021 10:12:31 +1000

Hi all,

[Thanks Guenter for pointing this out]

On Mon, 23 Aug 2021 12:41:22 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the drm tree got a conflict in:
> 
>   drivers/gpu/drm/mediatek/mtk_drm_ddp_comp.c
> 
> between commit:
> 
>   71ac6f390f6a ("drm/mediatek: Add AAL output size configuration")
> 
> from Linus' tree and commit:
> 
>   78d1783c3243 ("drm/mediatek: Separate aal sub driver")
> 
> from the drm tree.
> 
> I fixed it up (I added the following merge resolution patch after
> using the latter version of the above file) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.
> 
> From: Stephen Rothwell <[email-masked]>
> Date: Mon, 23 Aug 2021 12:37:29 +1000
> Subject: [PATCH] drm/mediatek: merge fix for "Add AAL output size
>  configuration"
> 
> Signed-off-by: Stephen Rothwell <[email-masked]>
> ---
>  drivers/gpu/drm/mediatek/mtk_disp_aal.c | 3 ++-
>  1 file changed, 2 insertions(+), 1 deletion(-)
> 
> diff --git a/drivers/gpu/drm/mediatek/mtk_disp_aal.c b/drivers/gpu/drm/mediatek/mtk_disp_aal.c
> index 64b45284766a..a6760761088b 100644
> --- a/drivers/gpu/drm/mediatek/mtk_disp_aal.c
> +++ b/drivers/gpu/drm/mediatek/mtk_disp_aal.c
> @@ -18,7 +18,7 @@
>  #define DISP_AAL_EN				0x0000
>  #define AAL_EN						BIT(0)
>  #define DISP_AAL_SIZE				0x0030
> -
> +#define DISP_AAL_OUTPUT_SIZE			0x04d8
>  
>  struct mtk_disp_aal_data {
>  	bool has_gamma;
> @@ -57,6 +57,7 @@ void mtk_aal_config(struct device *dev, unsigned int w,
>  	struct mtk_disp_aal *aal = dev_get_drvdata(dev);
>  
>  	mtk_ddp_write(cmdq_pkt, w << 16 | h, &aal->cmdq_reg, aal->regs, DISP_AAL_SIZE);
> +	mtk_ddp_write(cmdq_pkt, w << 16 | h, &priv->cmdq_reg, priv->regs, DISP_AAL_OUTPUT_SIZE);
>  }
>  
>  void mtk_aal_gamma_set(struct device *dev, struct drm_crtc_state *state)

My mistake, I have fixed that patch today to be this:

From: Stephen Rothwell <[email-masked]>
Date: Mon, 23 Aug 2021 12:37:29 +1000
Subject: [PATCH] drm/mediatek: merge fix for "Add AAL output size
 configuration"

Signed-off-by: Stephen Rothwell <[email-masked]>
---
 drivers/gpu/drm/mediatek/mtk_disp_aal.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/drivers/gpu/drm/mediatek/mtk_disp_aal.c b/drivers/gpu/drm/mediatek/mtk_disp_aal.c
index 64b45284766a..a6760761088b 100644
--- a/drivers/gpu/drm/mediatek/mtk_disp_aal.c
+++ b/drivers/gpu/drm/mediatek/mtk_disp_aal.c
@@ -18,7 +18,7 @@
 #define DISP_AAL_EN				0x0000
 #define AAL_EN						BIT(0)
 #define DISP_AAL_SIZE				0x0030
-
+#define DISP_AAL_OUTPUT_SIZE			0x04d8
 
 struct mtk_disp_aal_data {
 	bool has_gamma;
@@ -57,6 +57,7 @@ void mtk_aal_config(struct device *dev, unsigned int w,
 	struct mtk_disp_aal *aal = dev_get_drvdata(dev);
 
 	mtk_ddp_write(cmdq_pkt, w << 16 | h, &aal->cmdq_reg, aal->regs, DISP_AAL_SIZE);
+	mtk_ddp_write(cmdq_pkt, w << 16 | h, &aal->cmdq_reg, aal->regs, DISP_AAL_OUTPUT_SIZE);
 }
 
 void mtk_aal_gamma_set(struct device *dev, struct drm_crtc_state *state)

-- 
Cheers,
Stephen Rothwell